/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * tilesource.h
 *
 * Contact:
 *   Moonlight List (moonlight-list@lists.ximian.com)
 *
 * Copyright 2007-2008 Novell, Inc. (http://www.novell.com)
 *
 * See the LICENSE file included with the distribution for details.
 * 
 */

#ifndef __TILESOURCE_H__
#define __TILESOURCE_H__

#include <stdio.h>
#include "dependencyobject.h"

/* @CBindingRequisite */
typedef bool (*get_image_uri_func) (int level, int posX, int posY, Uri *uri, void* user_data);

typedef void (*invalidate_tile_layer_func) (int level, int tilePositionX, int tilePositionY, int tileLayer, void *user_data);

/* @Version=2,Namespace=System.Windows.Media */
/* @CallInitialize */
class MultiScaleTileSource : public DependencyObject {
 protected:
	double imageWidth; //width of the DeepZoom Image
	double imageHeight;
	int tileWidth;	//width of the tiles
	int tileHeight;
	int tileOverlap; //how much the tiles overlap

	virtual ~MultiScaleTileSource () {}

	invalidate_tile_layer_func invalidate_cb;
	void *invalidate_data;

 public:
	get_image_uri_func get_tile_func;

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	MultiScaleTileSource ();

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	double GetImageWidth ();
	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	void SetImageWidth (double width);

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	double GetImageHeight ();
	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	void SetImageHeight (double height);

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	int GetTileWidth ();
	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	void SetTileWidth (int width);

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	int GetTileHeight ();
	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	void SetTileHeight (int height);

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	int GetTileOverlap ();
	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	void SetTileOverlap (int overlap);

	/* @GenerateCBinding,GeneratePInvoke */
	void set_image_uri_func (get_image_uri_func func);

	/* @GenerateCBinding,GeneratePInvoke,ManagedAccess=Internal */
	void InvalidateTileLayer (int level, int tilePositionX, int tilePositionY, int tileLayer);

	void set_invalidate_tile_layer_func (invalidate_tile_layer_func func, void *user_data);
};

#endif /* __TILESOURCE_H__ */
